/*
 * _dm.cpp - Emulation of the Palm OS DataMgr API.
 */

// vim: set noet:			// Hard tabs.
// vim: set ts=8:			// Tab width 8.
// vim: set sw=4:			// Shift (indent) width 4.
// vim: set cino={0s:			// Braces flush with outer statement.
// vim: set cino=^1s:			// First indent 8 (add 1 shift width).

#include "precomp.h"

#ifndef OS_PALM

#include "palmlayer.h"

Err
DmWrite( void* recordP, UInt32 offset, void const* srcP, UInt32 bytes )
{
	memmove( static_cast<char*>( recordP ) + offset, srcP, bytes );
	return 0;
}

Err
DmStrCopy( void* recordP, UInt32 offset, Char const* srcP )
{
	StrCopy( static_cast<char*>( recordP ) + offset, reinterpret_cast<const char*>( srcP ) );
	return 0;
}

Err
DmSet( void* recordP, UInt32 offset, UInt32 bytes, UInt8 value )
{
	// Note, argument order is different for DmSet and memset.
	memset( static_cast<char*>( recordP ) + offset, value, bytes );
	return 0;
}

#endif // !OS_PALM

