/*
 * columns.h - Bitflags for visible columns.
 *
 * In retrospect a better design would have been to keep a list of IDs of the
 * visible columns rather than using bitflags, but Palm OS 2.0 ran on very
 * slow processors and bitflags were more efficient.
 */

// vim: set noet:			// Hard tabs.
// vim: set ts=8:			// Tab width 8.
// vim: set sw=4:			// Shift (indent) width 4.
// vim: set cino={0s:			// Braces flush with outer statement.
// vim: set cino=^1s:			// First indent 8 (add 1 shift width).

enum
{
	//$ WARNING: (chrisant) these values are NOT in the same order as the
	// columns appear in the list view.
	colNeed			= 0x0001,
	colPrio			= 0x0002,
	colName			= 0x0004,
	colQuantity		= 0x0008,
	colUnits		= 0x0010,
	colAisle		= 0x0020,
	colCategory		= 0x0040,
	colPrice		= 0x0080,
	colTaxable		= 0x0100,
	colTaxable2		= 0x0200,
	colDate			= 0x0400,
	colCoupon		= 0x0800,
	colDEAD_Manipulator	= 0x1000,
	colCustomText		= 0x2000,
	colIcon			= 0x4000,
	colUnitPrice		= 0x8000,
};

typedef UInt32 MaskType;

