/*
 * _pdbhs2.h - HS2 database class.
 */

#pragma once

// vim: set noet:			// Hard tabs.
// vim: set ts=8:			// Tab width 8.
// vim: set sw=4:			// Shift (indent) width 4.
// vim: set cino={0s:			// Braces flush with outer statement.
// vim: set cino=^1s:			// First indent 8 (add 1 shift width).

class Hs2OutInterface : public OutInterface
{
    public:
			Hs2OutInterface() : m_popen( 0 ) {}

	void		SetOpenDatabase( DbOpenHs2* popen ) { m_popen = popen; }

    protected:
	DbOpenHs2*	m_popen;
};

class Hs2DbQuickOpen : public DbQuickOpen
{
	typedef DbQuickOpen base;

    public:
	Override( base, SysError, Rename, ( TCHAR const* pszFile, StrT const* ps ) );
};

class Hs2Database : public Database
{
	typedef Database base;

    public:
			Hs2Database();

	void		SetPopen( DbOpenHs2* popen );

    private:
	DbOpenHs2*	m_popen;		// Shoehorn into HS2 layer.
};

char const* AisleStr( UInt8 aisle );

int DumpDatabase( DbOpenHs2* popen, OutInterface* pout, FILE* praw );

UInt16 FromDmCategory( UInt16 const category );
UInt16 ToDmCategory( UInt16 const category );

