/*
 * ViewDefs.h - View definitions and types.
 */

#pragma once

// vim: set noet:			// Hard tabs.
// vim: set ts=8:			// Tab width 8.
// vim: set sw=4:			// Shift (indent) width 4.
// vim: set cino={0s:			// Braces flush with outer statement.
// vim: set cino=^1s:			// First indent 8 (add 1 shift width).

enum PrivateRecordVisualMode
{
	privShowRecords,
	privMaskRecords,
	privHideRecords,
};

enum { VIEW_ALL, VIEW_NEED, VIEW_NOTNEEDED, VIEW_ALLNOTPURCHASED, VIEW_MAX };
enum { SORT_NONE, SORT_PRIORITY, SORT_DATE, SORT_AISLE, SORT_CATEGORY, SORT_DESCRIPTION, SORT_QUANTITY, SORT_UNITS, SORT_PRICE, SORT_ENTRYORDER, SORT_CUSTOMTEXT, SORT_ALARM, SORT_ICON, SORT_MAX };

#define COLWIDTH_DEFAULT	( 1 )
#define COLWIDTH_FULL		( 2 )

#define NUM_SORT_ORDERS		( 2 )
#define NUM_SORT_FIELDS		( 3 )

enum ColumnIdentifier
{
	COLID_NEED,
	COLID_PRIO,
	COLID_ICON,
	COLID_DESCRIPTION,
	COLID_CATEGORY,
	COLID_CUSTOMTEXT,
	COLID_QUANTITY,
	COLID_UNITS,
	COLID_AISLE,
	COLID_UNITPRICE,
	COLID_PRICE,
	COLID_COUPON,
	COLID_TAXABLE,
	COLID_TAXABLE2,
	COLID_DATE,
	COLID_MAX,

	COLID_NOTE,
	COLID_PRIVATE,
};

